# $Revision: 1.38 $, $Date: 2008/07/27 22:34:12 $
#
# Conditional build:
%bcond_without	tests # do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	File
%define		pnam	CounterFile
Summary:	File::CounterFile - persistent counter class
Summary(pl.UTF-8):	File::CounterFile - klasa trwałych liczników
Name:		perl-File-CounterFile
Version:	1.04
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	df77e2dbc80aa3ec9647a570bb5e0cf8
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The File::CounterFile Perl module implements a persistent counter
class. Each counter is represented by a separate file in the file
system. File locking is applied, so multiple processes might try to
access the same counters at the same time without risk of counter
destruction.

%description -l pl.UTF-8
Moduł Perla File::CounterFile stanowi implementację klasy trwałych
liczników. Każdy z liczników jest reprezentowany przez osobny plik w
systemie plików. Można stosować są blokady plików, aby z tych samych
liczników mogło korzystać jednocześnie wiele procesów, bez ryzyka
uszkodzenia licznika.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/%{pdir}/%{pnam}.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-File-CounterFile.spec,v $
Revision 1.38  2008/07/27 22:34:12  arekm
- release 2

Revision 1.37  2007-02-13 07:47:11  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:49:32  baggins
- converted to UTF-8

Revision 1.35  2004/11/03 22:30:21  paladine
- formatting

Revision 1.34  2004/10/24 14:45:31  paladine
- perla->Perla

Revision 1.33  2004/05/06 18:09:35  ankry
- fixed perl-devel BR

Revision 1.32  2004/04/20 16:43:16  ankry
- summary/description/license fixes

Revision 1.31  2004/04/13 17:59:56  adamg
- new style bconds; cosmetics

Revision 1.30  2004/02/18 15:29:33  qboosh
- s/no/nb/ in Summary langs

Revision 1.29  2004/01/24 22:18:54  arekm
- autoupdated to 1.04

Revision 1.28  2003/12/23 08:20:41  misi3k
- updated to 1.02

Revision 1.27  2003/09/09 10:24:35  ankry
- spaces -> tab

Revision 1.26  2003/08/18 08:08:46  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.25  2003/05/28 13:00:37  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.22  2003/03/01 19:09:09  radek
- should be ready for perl-5.8.0; release++

Revision 1.21  2003/02/25 00:38:34  radek
- use the __perl macro

Revision 1.20  2003/02/18 15:32:11  ankry
- massive attack: change CPAN URLs

Revision 1.19  2002/09/26 16:22:51  ankry
- added tests on bcond
- translations, cleaning
- version 1.00, release 1

Revision 1.18  2002/07/10 08:47:09  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:31:20  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:13:56  depesz
automatic: Source location unified, Relase Up

Revision 1.13  2002/02/10 15:26:04  depesz
adapterized

Revision 1.12  2002/01/18 02:14:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:16  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:08:48  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/03 21:13:52  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:51  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 16:52:51  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 19:29:03  pius
- initial release
